#%RAML 1.0
version: v1
title: Bridge Function API
description: Get brand_flag from Bridge
types:
  responseValid: !include Datatype/responseValid.raml
  responseError: !include exchange_modules/a9d53ff2-5476-4a1f-8d1a-b19eb82612cc/api-response-datatype-api/1.0.0/api-response-datatype-api.raml
  
traits:
  headerTrait: !include exchange_modules/a9d53ff2-5476-4a1f-8d1a-b19eb82612cc/header-securable/1.0.0/header-securable.raml

/bridge/{prefix}:
  uriParameters:
    prefix: 
      type: string
      description: MSISDN prefix
      example: "93640"

  get:
    description: Fetch brand_flag in Bridge
    is:
      - headerTrait
    headers:
      correlationid:
        type: string
        description: Tranasction ID that is passed on from the previous API
        example: "0-dbfedf90-284c-11e9-ac48-dca90494651"
    responses:
      200:
        body:
          application/json:
            type: responseValid
            example:
              !include Examples/responseValidExample.json
      400:
        body:
          application/json:
            type: responseError
            example: !include Examples/responseError400Example.json
      404:
        body:
          application/json:
            type: responseError
            example: !include Examples/responseError404Example.json 
      405:
        body:
          application/json:
            type: responseError
            example: !include Examples/responseError405Example.json
      406:
        body:
          application/json:
            type: responseError
            example: !include Examples/responseError406Example.json
      415:
        body:
          application/json:
            type: responseError
            example: !include Examples/responseError415Example.json
      501:
        body:
          application/json:
            type: responseError
            example: !include Examples/responseError501Example.json
      500:
        body:
          application/json:
            type: responseError
            example: !include Examples/responseError500Example.json